
TYPO3.Neos - Bug # 45442

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-02-13 Assigned To: Aske Ertmann
Updated: 2013-08-09 Due date:
Subject: Supertype configuration not inherited in VIE schema generation
Description

Supertype configuration of node type configuration is not inherited when generating VIE schema in the NodeTypeSchemaBuilders
convertToVieSchema method. This means that you have to configure stuff like group: and other stuff for every node type definition.

Currently it causes the icons of the column element not to be inherited leading to the default icon in the new content element popup

Associated revisions
Revision 2d7a9ee6 - 2013-03-31 17:22 - Aske Ertmann

[TASK] Make node type schema builder use node type manager

This is needed for inheritence of configuration from super
types and to keep a centralized handling of node types.

Change-Id: I96b2969bc6556df9a1db6ed41a44d9bdafde99f5
Fixes: #45442

History
#1 - 2013-02-13 15:24 - Aske Ertmann
- Assigned To set to Sebastian Kurfuerst

Would you mind looking into this maybe? I think you probably have some domain knowledge of it..

#2 - 2013-03-31 17:23 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19461

#3 - 2013-03-31 17:28 - Aske Ertmann
- Status changed from New to Under Review
- Assigned To changed from Sebastian Kurfuerst to Aske Ertmann

#4 - 2013-08-09 16:48 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
